## org.apache.felix.httplite.osgi
Interface ServiceRegistrationResolver

All Known Implementing Classes:
  HttpServiceImpl

    public interface ServiceRegistrationResolver

An interface to provide internal classes with access to client service registration state. This interface serves as the connection between the internal server and the HTTP Service.

Method Summary
`ServiceRegistrationHandler` `getProcessor(HttpServletRequestImpl request, HttpServletResponseImpl response, java.lang.String requestPath)` For a request, response, and requestPath, return a ServiceRegistrationHandler.
`ServiceRegistration` `getServiceRegistration(java.lang.String requestPath)` Resolve the requestPath to a Resource or Servlet registration with the closest (deepest) match.
`HttpServletRequestImpl` `getServletRequest(java.net.Socket socket)` Given a socket connection return a HttpServletRequestImpl.
`HttpServletResponseImpl` `getServletResponse(java.io.OutputStream output)` Given a HttpRequest and an output stream, return a HttpServletResponseImpl.

Method Detail

### getServletRequest

    HttpServletRequestImpl getServletRequest(java.net.Socket socket)

  Given a socket connection return a HttpServletRequestImpl.

  Parameters:
    `socket` - socket connection to be associated with HTTP Request
  Returns:
    HttpServletRequestImpl instance

### getServiceRegistration

    ServiceRegistration getServiceRegistration(java.lang.String requestPath)

  Resolve the requestPath to a Resource or Servlet registration with the closest (deepest) match.

  Parameters:
    `requestPath` - URI of request
  Returns:
    A ServiceRegistration or null if no match was found.

### getServletResponse

    HttpServletResponseImpl getServletResponse(java.io.OutputStream output)

  Given a HttpRequest and an output stream, return a HttpServletResponseImpl.

  Parameters:
    `request` - HttpRequest
    `output` - output stream associated with socket connection.
  Returns:
    A HttpServletResponseImpl instance

### getProcessor

    ServiceRegistrationHandler getProcessor(HttpServletRequestImpl request,
                                            HttpServletResponseImpl response,
                                            java.lang.String requestPath)

  For a request, response, and requestPath, return a ServiceRegistrationHandler.

  Parameters:
    `request` - HttpRequest
    `response` - HttpResponse
    `requestPath` - The request URI
  Returns:
    A ServiceRegistrationHandler corresponding to the requestPath, or null if no match.

Copyright © 2006-2012 The Apache Software Foundation. All Rights Reserved.